﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IBedeliaService
    {
        Task<ServiceResult<bool>> IsValidUser(string identityCard);
        Task<ServiceResult<bool>> CloseRecord(string courseName, List<UserGradeDto> userGrades);

        Task<ServiceResult<bool>> Login(string identityCard, string password);
        Task<ServiceResult<bool>> IsValidCourse(string courseName);
        Task<ServiceResult<bool>> CreateUsers(List<UserCreateBedeliaDto> users);
        Task<ServiceResult<bool>> CreateCourses(List<CourseCreateBedeliaDto> users);
    }
}
